[build-system]
requires = ["flit_core >=3.8,<4"]
build-backend = "flit_core.buildapi"

[project]
name = "spf-engine"
description = "SPF (Sender Policy Framework) processing engine for Postfix policy server and Milter implemented in Python."
readme = "README.txt"
requires-python = ">=3.3"
license = {file = "COPYING"}
authors = [{name = "Scott Kitterman", email = "scott@kitterman.com"}]
keywords = ['Postfix', 'Sendmail', 'milter', 'spf', 'email']
classifiers = [
    'Development Status :: 5 - Production/Stable',
    'Environment :: No Input/Output (Daemon)',
    'Intended Audience :: Developers',
    'License :: OSI Approved :: Apache Software License',
    'Natural Language :: English',
    'Operating System :: POSIX',
    'Programming Language :: Python :: 3',
    'Topic :: Communications :: Email :: Mail Transport Agents',
    'Topic :: Communications :: Email :: Filters',
]
dependencies = [
    'pyspf',
    'authres',
]
dynamic = ["version"]

[project.scripts]
policyd-spf = "spf_engine.policyd_spf:main"
pyspf-milter = "spf_engine.milter_spf:main"

[project.optional-dependencies]
milter = [
    'pymilter',
]

[project.urls]
Home = "https://launchpad.net/spf-engine"

[tool.flit.sdist]
include = ["CHANGES", "README.per_user_whitelisting"]
exclude = ["test_suite", "TODO", ".gitignore"]

[tool.flit.external-data]
directory = "data"
